package com.madeu.service.web.webeventpetit;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebEventPetitService {
    public HashMap<String, Object> selectListWebEventPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebEventPetit(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebEventPetit(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertWebEventPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebEventPetit(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile content_file) throws Exception;
    
    public HashMap<String, Object> updateWebEventPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebEventPetit(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile content_file) throws Exception;
    public HashMap<String, Object> deleteWebEventPetit(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListEventOption(HashMap<String, Object> paramMap) throws Exception;
}
